Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 568638 - Review Request: smx - httpd server macro language
Summary: Review Request: smx - httpd server macro language
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-02-26 08:14 UTC by erik aronesty
Modified: 2012-07-03 21:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-03 21:39:34 UTC


Attachments (Terms of Use)
rpmlint output (deleted)
2010-02-26 08:14 UTC, erik aronesty
no flags Details

Description erik aronesty 2010-02-26 08:14:39 UTC
Created attachment 396490 [details]
rpmlint output

Spec URL: http://www.smxlang.org/smx.spec
SRPM URL: http://smx.googlecode.com/files/smx-1.1.4-437.src.rpm
Description: 

SMX is a text-embedded macro processing language with extended support for inclusion in web-pages.  Core features include database access and image manipulation.

- this is my first package, and i am seeking a sponsor

- rpmlint spews a ton of lint for the installed %macro documentation since macros contain percent signs.  i'd like to keep the "man %func" as a feature which users seem to like, but not if everyone here hates it...

Comment 1 Till Maas 2010-03-29 12:04:16 UTC
This is probably wrong:
strip --strip-unneeded %{buildroot}/%{_libdir}/*.so
strip --strip-unneeded %{buildroot}/%{_bindir}/smx*

The files are automatically stripped by rpm and the information is stored in
the debuginfo package. When you do this yourself, the debuginfo packages will
be useless.

You can try this to get the rpmlin errors away:
%{_prefix}/share/man/man3/%%*

The %% represents one % in SPEC files.

Comment 2 Jason Tibbitts 2010-11-17 23:43:22 UTC
Any response to this commentary?  It's been months.

Comment 3 erik aronesty 2010-11-18 09:42:16 UTC
Sorry, I made both changes:

1- without the strip lines, i get "unstripped binary" errors in rpmlint, and the binary is, indeed, never stripped

2- the two percent signs helped a little (one error saved out of 90)... but I still get flooded with errors on that.   the problem is that the "files" glob expansion doesn't quote percent signs.

Comment 4 erik aronesty 2010-11-18 12:10:11 UTC
Trying to figure out what to do instead of strip, and how to get the glob to put two % signs in the rpm .... when the file path has a % sign.

Comment 5 Till Maas 2010-11-18 17:08:34 UTC
(In reply to comment #3)

> 1- without the strip lines, i get "unstripped binary" errors in rpmlint, and
> the binary is, indeed, never stripped

Then there should be some errors shown by a script called find-debuginfo.sh or similiar at the end of the build. The script is responsible to strip all binaries.

Comment 6 erik aronesty 2010-11-19 12:29:39 UTC
I'm definitely not dong something correct when it comes to debug builds.  I never got a debuginfo RPM.  Links to the output of rpmbuild -v -ba .... without the compilation steps for readability.

abbreviated rpmbuild with -v: 
   http://www.smxlang.org/build.abbrev
(full output):
   http://www.smxlang.org/build.out

You can see it only ever writes the rpm, srpm and devel rpm (with the header).   Nothing else.

Comment 7 Jason Tibbitts 2012-06-15 20:11:05 UTC
It seems that the whiteboard never got cleared when you responded so this has been hidden from the review reports for months.  I would just close this out because it's so old, but just in case:

Are you still remotely interested in submitting this package?  The last spec I see needs some work but I'm sure everything can be beaten into shape if you still want to work on it.

Comment 8 Jason Tibbitts 2012-07-03 21:39:34 UTC
At this point I think I'll just go ahead and close this.  I'm really sorry that the process broke down here but at this point there's not much that I can do about it.  If you do wish to submit this in the future, please feel free to reopen this ticket, or open a new one and make sure I'm CC'd on it.


Note You need to log in before you can comment on or make changes to this bug.